ruby-parslet_1.7.1-1_all.deb


Advertisement

Description

ruby-parslet - Parser construction library with great error reporting in Ruby

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-parslet
Package version 1.7.1
Package release 1
Package architecture all
Package type deb
Installed size 235 B
Download size 47.80 KB
Official Mirror archive.ubuntu.com
Parslet makes developing complex parsers easy. It does so by
* providing the best error reporting possible
* not generating reams of code for you to debug
Parslet takes the long way around to make your job easier. It allows for
incremental language construction. Often, you start out small, implementing
the atoms of your language first; _parslet_ takes pride in making this
possible.

Alternatives

Package Version Architecture Repository
ruby-parslet_1.7.1-1_all.deb 1.7.1 all Ubuntu Universe
ruby-parslet - - -

Requires

Name Value
ruby -
ruby-blankslate >= 2.0
ruby-interpreter -

Download

Type URL
Binary Package ruby-parslet_1.7.1-1_all.deb
Source Package ruby-parslet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-parslet deb package:
    # sudo apt-get install ruby-parslet

Files

Path
/usr/lib/ruby/vendor_ruby/parslet.rb
/usr/lib/ruby/vendor_ruby/parslet/accelerator.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms.rb
/usr/lib/ruby/vendor_ruby/parslet/cause.rb
/usr/lib/ruby/vendor_ruby/parslet/context.rb
/usr/lib/ruby/vendor_ruby/parslet/convenience.rb
/usr/lib/ruby/vendor_ruby/parslet/error_reporter.rb
/usr/lib/ruby/vendor_ruby/parslet/export.rb
/usr/lib/ruby/vendor_ruby/parslet/expression.rb
/usr/lib/ruby/vendor_ruby/parslet/graphviz.rb
/usr/lib/ruby/vendor_ruby/parslet/parser.rb
/usr/lib/ruby/vendor_ruby/parslet/pattern.rb
/usr/lib/ruby/vendor_ruby/parslet/position.rb
/usr/lib/ruby/vendor_ruby/parslet/scope.rb
/usr/lib/ruby/vendor_ruby/parslet/slice.rb
/usr/lib/ruby/vendor_ruby/parslet/source.rb
/usr/lib/ruby/vendor_ruby/parslet/transform.rb
/usr/lib/ruby/vendor_ruby/parslet/accelerator/application.rb
/usr/lib/ruby/vendor_ruby/parslet/accelerator/engine.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/alternative.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/base.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/can_flatten.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/capture.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/context.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/dsl.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/dynamic.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/entity.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/infix.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/lookahead.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/named.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/re.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/repetition.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/scope.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/sequence.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/str.rb
/usr/lib/ruby/vendor_ruby/parslet/atoms/visitor.rb
/usr/lib/ruby/vendor_ruby/parslet/error_reporter/contextual.rb
/usr/lib/ruby/vendor_ruby/parslet/error_reporter/deepest.rb
/usr/lib/ruby/vendor_ruby/parslet/error_reporter/tree.rb
/usr/lib/ruby/vendor_ruby/parslet/expression/treetop.rb
/usr/lib/ruby/vendor_ruby/parslet/pattern/binding.rb
/usr/lib/ruby/vendor_ruby/parslet/rig/rspec.rb
/usr/lib/ruby/vendor_ruby/parslet/source/line_cache.rb
/usr/share/doc/ruby-parslet/README
/usr/share/doc/ruby-parslet/changelog.Debian.gz
/usr/share/doc/ruby-parslet/copyright
/usr/share/doc/ruby-parslet/examples/big.erb.gz
/usr/share/doc/ruby-parslet/examples/boolean_algebra.rb
/usr/share/doc/ruby-parslet/examples/calc.rb
/usr/share/doc/ruby-parslet/examples/capture.rb
/usr/share/doc/ruby-parslet/examples/comments.rb
/usr/share/doc/ruby-parslet/examples/deepest_errors.rb
/usr/share/doc/ruby-parslet/examples/documentation.rb
/usr/share/doc/ruby-parslet/examples/email_parser.rb
/usr/share/doc/ruby-parslet/examples/empty.rb
/usr/share/doc/ruby-parslet/examples/erb.rb
/usr/share/doc/ruby-parslet/examples/ignore.rb
/usr/share/doc/ruby-parslet/examples/ip_address.rb
/usr/share/doc/ruby-parslet/examples/json.rb
/usr/share/doc/ruby-parslet/examples/local.rb
/usr/share/doc/ruby-parslet/examples/mathn.rb
/usr/share/doc/ruby-parslet/examples/minilisp.rb
/usr/share/doc/ruby-parslet/examples/modularity.rb
/usr/share/doc/ruby-parslet/examples/nested_errors.rb
/usr/share/doc/ruby-parslet/examples/parens.rb
/usr/share/doc/ruby-parslet/examples/prec_calc.rb
/usr/share/doc/ruby-parslet/examples/readme.rb
/usr/share/doc/ruby-parslet/examples/scopes.rb
/usr/share/doc/ruby-parslet/examples/seasons.rb
/usr/share/doc/ruby-parslet/examples/simple.lit
/usr/share/doc/ruby-parslet/examples/simple_xml.rb
/usr/share/doc/ruby-parslet/examples/string_parser.rb
/usr/share/doc/ruby-parslet/examples/test.lit
/usr/share/doc/ruby-parslet/examples/output/boolean_algebra.out
/usr/share/doc/ruby-parslet/examples/output/calc.out
/usr/share/doc/ruby-parslet/examples/output/capture.out
/usr/share/doc/ruby-parslet/examples/output/comments.out
/usr/share/doc/ruby-parslet/examples/output/deepest_errors.out
/usr/share/doc/ruby-parslet/examples/output/documentation.err
/usr/share/doc/ruby-parslet/examples/output/documentation.out
/usr/share/doc/ruby-parslet/examples/output/email_parser.out
/usr/share/doc/ruby-parslet/examples/output/empty.err
/usr/share/doc/ruby-parslet/examples/output/erb.out
/usr/share/doc/ruby-parslet/examples/output/ignore.out
/usr/share/doc/ruby-parslet/examples/output/ignore_whitespace.out
/usr/share/doc/ruby-parslet/examples/output/ip_address.out
/usr/share/doc/ruby-parslet/examples/output/json.out
/usr/share/doc/ruby-parslet/examples/output/local.out
/usr/share/doc/ruby-parslet/examples/output/mathn.out
/usr/share/doc/ruby-parslet/examples/output/minilisp.out
/usr/share/doc/ruby-parslet/examples/output/modularity.out
/usr/share/doc/ruby-parslet/examples/output/nested_errors.out
/usr/share/doc/ruby-parslet/examples/output/optimized_erb.out.gz
/usr/share/doc/ruby-parslet/examples/output/parens.out
/usr/share/doc/ruby-parslet/examples/output/prec_calc.out
/usr/share/doc/ruby-parslet/examples/output/readme.out
/usr/share/doc/ruby-parslet/examples/output/scopes.out
/usr/share/doc/ruby-parslet/examples/output/seasons.out
/usr/share/doc/ruby-parslet/examples/output/sentence.out
/usr/share/doc/ruby-parslet/examples/output/simple_xml.out
/usr/share/doc/ruby-parslet/examples/output/string_parser.out
/usr/share/rubygems-integration/all/specifications/parslet-1.7.1.gemspec

Changelog

2016-03-02 - Sebastien Badia <seb@sebian.fr>
ruby-parslet (1.7.1-1) unstable; urgency=medium
* Team upload.
[ Jonas Genannt ]
* refreshed debian/ with dh-make-ruby
[ Sebastien Badia ]
* Imported Upstream 1.7.1 (Closes: #795046)
* d/rules: Update to check dependencies during the build
* Removed examples that requires ruby 1.9.x
* d/control:
Update Vcs-* fields (use https everywhere)
Bump Standards-Version to 3.9.7 (no changes)
2014-07-23 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-parslet (1.6.1-1) unstable; urgency=medium
* Imported Upstream version 1.6.1
* Refresh patches
2014-01-25 - Axel Wagner <mero@merovius.de>
ruby-parslet (1.5.0-1) unstable; urgency=medium
* Initial release (Closes: #735295)

See Also

Package Description
ruby-passenger-doc_5.0.27-2_all.deb transitional dummy package for passenger-doc
ruby-passenger_5.0.27-2_all.deb transitional dummy package for passenger
ruby-password_0.5.3-4build6_i386.deb Ruby library for handling passwords
ruby-pathname2_1.7.4-1_all.deb alternate implementation of the Pathname class
ruby-pcaprub_0.12.0-1build3_i386.deb Ruby bindings for LBL Packet Capture library (libpcap)
ruby-pdf-core_0.5.1-1_all.deb Ruby library to render PDF documents
ruby-pdf-inspector_1.2.0-1_all.deb Ruby library for analyzing PDF output
ruby-pdf-reader_1.4.0-1_all.deb Ruby library for accessing the content of PDF files
ruby-peach_0.5.1-3_all.deb parallel execution of each and map in Ruby
ruby-pg_0.18.4-1_i386.deb PostgreSQL interface for Ruby
ruby-phonon_4.14.3-1ubuntu2_i386.deb Phonon bindings for the Ruby language
ruby-pkg-config_1.1.5-1_all.deb pkg-config implementation for Ruby
ruby-plist_3.2.0-1_all.deb all-purpose property list manipulation library
ruby-pluggaloid_1.0.2-1_all.deb Extensible plugin system for mikutter
ruby-polyglot_0.3.4-1_all.deb Custom language loaders for specified file extensions
Advertisement
Advertisement